# $Revision: 1.11.2.2 $, $Date: 2007-11-30 17:45:46 $
#
# Conditional build:
%bcond_with tests   # don't run tests
#
Summary:	Mercurial Distributed SCM
Summary(pl):	Mercurial - rozproszony SCM
Name:		mercurial
Version:	0.9.5
Release:	1
License:	GPL v2
Group:		Development/Version Control
Source0:	http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz
# Source0-md5:	a9dd54bcb87ca332315ce83293816e37
URL:		http://www.selenic.com/mercurial/
BuildRequires:	asciidoc
BuildRequires:	python >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq  python-modules
BuildRequires:	xmlto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mercurial is a fast, lightweight source control management system
designed for efficient handling of very large distributed projects.
Features include:
- O(1) delta-compressed file storage and retrieval scheme
- Complete cross-indexing of file and changesets for efficient
  exploration of project history
- Robust SHA1-based integrity checking and append-only storage model
- Decentralized development model with arbitrary merging between trees
- High-speed HTTP-based network merge protocol
- Easy-to-use command-line interface
- Integrated stand-alone web interface
- Small Python codebase
- GPL license

%description -l pl
Mercurial to szybki, lekki system zarzdzania kodem rdowym
zaprojektowany do wydajnej obsugi bardzo duych rozproszonych
projektw. Moliwoci obejmuj:
- przechowywanie skompresowanych plikw rnic i schemat odtwarzania
  O(1)
- pene indeksowanie plikw i zmian w celu szybkiego przegldania
  historii projektu
- silne, oparte na SHA1 sprawdzanie integralnoci oraz model
  przechowywania z samym doczaniem
- zdecentralizowany model rozwoju z dowolnym czeniem midzy drzewami
- szybki protok czenia po sieci oparty na HTTP
- atwy w uyciu interfejs linii polece
- zintegrowany samodzielny interfejs WWW
- may kod podstawowy w Pythonie
- licencja GPL

%package hgk
Summary:	GUI for mercurial
Summary(pl):	Graficzny interfejs uytkownika dla systemu Mercurial
Group:		Development/Version Control
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq  python-modules

%description hgk
A tool called that allows browsing the history of a repository in a
GUI.

To enable it add to .hgrc file:
[extensions]
hgk=

%description hgk -l pl
Narzdzie pozwalajce na przegldanie historii repozytorium w
graficznym interfejsie uytkownika.

Aby je uaktywni, naley doda do pliku .hgrc:
[extensions]
hgk=

%prep
%setup -q

%build
%{__python} setup.py build
%{__make} -C doc

%{?with_tests:cd tests && %{__python} run-tests.py --verbose}

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT

install contrib/hgk $RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5}
install doc/hg.1 $RPM_BUILD_ROOT%{_mandir}/man1/hg.1
install doc/hgmerge.1 $RPM_BUILD_ROOT%{_mandir}/man1/hgmerge.1
install doc/hgrc.5 $RPM_BUILD_ROOT%{_mandir}/man5/hgrc.5
install doc/hgignore.5 $RPM_BUILD_ROOT%{_mandir}/man5/hgignore.5


%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS README
%attr(755,root,root) %{_bindir}/hg
%attr(755,root,root) %{_bindir}/hgmerge
%{py_sitedir}/hgext
%dir %{py_sitedir}/%{name}
%attr(755,root,root) %{py_sitedir}/%{name}/*.so
%{py_sitedir}/%{name}/*.py[co]
%{py_sitedir}/%{name}/hgweb
%{py_sitedir}/%{name}/templates
%{_mandir}/man1/hg.1*
%{_mandir}/man1/hgmerge.1*
%{_mandir}/man5/hgrc.5*
%{_mandir}/man5/hgignore.5*

%files hgk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hgk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mercurial.spec,v $
Revision 1.11.2.2  2007-11-30 17:45:46  undefine
- disable tests
- remove egg-info
- rel 1

Revision 1.11.2.1  2007-11-30 17:23:38  undefine
- up to 0.9.5, merged partially from head
- rel 0.1 - not tested yet

Revision 1.11  2006-09-12 05:56:59  glen
- clean unpackaged files

Revision 1.10  2006/09/11 22:42:55  aredridel
- 0.9.1

Revision 1.9  2006/04/08 08:36:07  arekm
- up to 0.8.1

Revision 1.8  2006/01/31 12:43:41  qboosh
- pl for -hgk

Revision 1.7  2006/01/30 23:21:15  arekm
- rel 2

Revision 1.6  2006/01/30 23:19:25  arekm
- put hgk in default search path

Revision 1.5  2006/01/30 23:10:11  arekm
- add GUI subpackage

Revision 1.4  2006/01/30 22:43:42  arekm
- updated to 0.8

Revision 1.3  2005/12/04 19:33:42  arekm
- up to 0.7

Revision 1.2  2005/08/02 22:18:11  qboosh
- pl

Revision 1.1  2005/07/31 18:17:47  arekm
- initial pld release (new SCM)
